Upstream information

CVE-2014-8642 at MITRE

Description

Mozilla Firefox before 35.0 and SeaMonkey before 2.32 do not consider the id-pkix-ocsp-nocheck extension in deciding whether to trust an OCSP responder, which makes it easier for remote attackers to obtain sensitive information by sniffing the network during a session in which there was an incorrect decision to accept a compromised and revoked certificate.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 913222 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15
  • MozillaFirefox >= 52.7.3-1.35
  • MozillaFirefox-devel >= 52.7.3-1.35
  • MozillaFirefox-translations-common >= 52.7.3-1.35
  • MozillaFirefox-translations-other >= 52.7.3-1.35
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA MozillaFirefox
openSUSE 13.1
  • MozillaFirefox >= 35.0-54.2
  • MozillaFirefox-branding-upstream >= 35.0-54.2
  • MozillaFirefox-buildsymbols >= 35.0-54.2
  • MozillaFirefox-debuginfo >= 35.0-54.2
  • MozillaFirefox-debugsource >= 35.0-54.2
  • MozillaFirefox-devel >= 35.0-54.2
  • MozillaFirefox-translations-common >= 35.0-54.2
  • MozillaFirefox-translations-other >= 35.0-54.2
  • seamonkey >= 2.32-44.2
  • seamonkey-debuginfo >= 2.32-44.2
  • seamonkey-debugsource >= 2.32-44.2
  • seamonkey-dom-inspector >= 2.32-44.2
  • seamonkey-irc >= 2.32-44.2
  • seamonkey-translations-common >= 2.32-44.2
  • seamonkey-translations-other >= 2.32-44.2
Patchnames:
openSUSE-2015-40
openSUSE-2015-92
openSUSE Leap 15.0
  • MozillaFirefox >= 60.0-lp150.2.2
  • MozillaFirefox-translations-common >= 60.0-lp150.2.2
  • MozillaFirefox-translations-other >= 60.0-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA MozillaFirefox
openSUSE Leap 42.1
  • MozillaFirefox >= 41.0.2-1.2
  • MozillaFirefox-translations-common >= 41.0.2-1.2
Patchnames:
openSUSE Leap 42.1 GA MozillaFirefox
openSUSE Leap 42.2
  • MozillaFirefox >= 49.0.2-37.1
  • MozillaFirefox-translations-common >= 49.0.2-37.1
Patchnames:
openSUSE Leap 42.2 GA MozillaFirefox
openSUSE Leap 42.3
  • MozillaFirefox >= 52.2-58.2
  • MozillaFirefox-translations-common >= 52.2-58.2
Patchnames:
openSUSE Leap 42.3 GA MozillaFirefox
openSUSE Tumbleweed
  • MozillaFirefox >= 50.1.0-1.1
  • MozillaFirefox-branding-upstream >= 50.1.0-1.1
  • MozillaFirefox-buildsymbols >= 50.1.0-1.1
  • MozillaFirefox-devel >= 50.1.0-1.1
  • MozillaFirefox-translations-common >= 50.1.0-1.1
  • MozillaFirefox-translations-other >= 50.1.0-1.1
  • seamonkey >= 2.40-6.1
  • seamonkey-dom-inspector >= 2.40-6.1
  • seamonkey-irc >= 2.40-6.1
  • seamonkey-translations-common >= 2.40-6.1
  • seamonkey-translations-other >= 2.40-6.1
Patchnames:
openSUSE Tumbleweed GA MozillaFirefox
openSUSE Tumbleweed GA seamonkey


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 MozillaFirefox Already fixed
SUSE Linux Enterprise Desktop 12 GA MozillaFirefox Already fixed
SUSE Linux Enterprise SDK 11 SP3 MozillaFirefox Already fixed
SUSE Linux Enterprise SDK 12 GA MozillaFirefox Already fixed
SUSE Linux Enterprise Server 11 SP3 MozillaFirefox Already fixed
SUSE Linux Enterprise Server 12 GA MozillaFirefox Already fixed
SUSE Linux Enterprise Server for VMWare 11 SP3 MozillaFirefox Already fixed